Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1136442 - trinity FTBFS on ppc64le
Summary: trinity FTBFS on ppc64le
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: trinity
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-02 14:55 UTC by Menanteau Guy
Modified: 2014-09-23 04:50 UTC (History)
1 user (show)

Fixed In Version: trinity-1.4-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-23 04:50:16 UTC


Attachments (Terms of Use)
add include termios (deleted)
2014-09-02 14:56 UTC, Menanteau Guy
no flags Details | Diff

Description Menanteau Guy 2014-09-02 14:55:46 UTC
trinity-1.4-3 failed on ppc64le 
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=257957

In file included from ioctls/vt.c:6:0:
ioctls/vt.c:99:8: error: invalid application of 'sizeof' to incomplete type 'struct termios'
  IOCTL(TCGETS),
        ^
/builddir/build/BUILD/trinity-1.4/include/ioctls.h:52:15: note: in definition of macro 'IOCTL'
  { .request = _request, .name = #_request, }
               ^
  CC	net/bpf.o
ioctls/vt.c:100:8: error: invalid application of 'sizeof' to incomplete type 'struct termios'
  IOCTL(TCSETS),
        ^
/builddir/build/BUILD/trinity-1.4/include/ioctls.h:52:15: note: in definition of macro 'IOCTL'
  { .request = _request, .name = #_request, }
               ^
ioctls/vt.c:101:8: error: invalid application of 'sizeof' to incomplete type 'struct termios'
  IOCTL(TCSETSW),
        ^
/builddir/build/BUILD/trinity-1.4/include/ioctls.h:52:15: note: in definition of macro 'IOCTL'
  { .request = _request, .name = #_request, }
               ^
ioctls/vt.c:102:8: error: invalid application of 'sizeof' to incomplete type 'struct termios'
  IOCTL(TCSETSF),
        ^
/builddir/build/BUILD/trinity-1.4/include/ioctls.h:52:15: note: in definition of macro 'IOCTL'
  { .request = _request, .name = #_request, }
               ^
  CC	net/ether.o
Makefile:87: recipe for target 'ioctls/vt.o' failed

Note:
as -#include <termios.h> as been removed from /sysdeps/unix/sysv/linux/powerpc/bits/ioctl-types.h in glibc
since version glibc-2.19.90-32
see ttps://sourceware.org/git/?p=glibc.git;a=commit;h=d4795e4a43e6f0c221bc5dc64c612206a21a177b
in ioctls/vt.c
"#include <sys/ioctl.h>" is not enough.
"#include <sys/termios.h" is now needed

Comment 1 Menanteau Guy 2014-09-02 14:56:53 UTC
Created attachment 933817 [details]
add include termios

scratch build succeed
on primary
http://koji.fedoraproject.org/koji/taskinfo?taskID=7509225
on secondary
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2067940

Comment 2 Jerry James 2014-09-03 17:05:23 UTC
Thanks for the analysis and patch.  I have applied the patch and done Rawhide and F-21 builds.

Comment 3 Fedora Update System 2014-09-03 17:06:25 UTC
trinity-1.4-4.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/trinity-1.4-4.fc21

Comment 4 Fedora Update System 2014-09-06 00:58:43 UTC
Package trinity-1.4-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing trinity-1.4-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10174/trinity-1.4-4.fc21
then log in and leave karma (feedback).

Comment 5 Menanteau Guy 2014-09-08 09:59:57 UTC
trinity-1.4-4 scratch builds succeed on:
primary
http://koji.fedoraproject.org/koji/taskinfo?taskID=7542470
secondary
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2094362

Comment 6 Fedora Update System 2014-09-23 04:50:16 UTC
trinity-1.4-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.